import { IEntity } from "../models/IEntity";

export interface IRepository<T extends IEntity> {
    create(item: T): Promise<T>;
    findById(id: number): Promise<T | null>;
    findAll(): Promise<T[]>;
    update(id: number, item: Partial<T>): Promise<T | null>;
    delete(id: number): Promise<boolean>;
}